import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: Record<string, never>;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SuperDebugProps = typeof __propDef.props;
export type SuperDebugEvents = typeof __propDef.events;
export type SuperDebugSlots = typeof __propDef.slots;
/**
 * SuperDebug is a debugging component that gives you colorized and nicely formatted output for any data structure, usually $form.
 *
 * Other use cases includes debugging plain objects, promises, stores and more.
 *
 * More info: https://superforms.rocks/super-debug
 *
 * **Short example:**
 *
 * ```svelte
 * <script>
 *   import SuperDebug from 'sveltekit-superforms';
 *   import { superForm } from 'sveltekit-superforms';
 *
 *   export let data;
 *
 *   const { errors, form, enhance } = superForm(data.form);
 * </script>
 *
 * <SuperDebug data={$form} label="My form data" />
 * ```
 */
export default class SuperDebug extends SvelteComponentTyped<SuperDebugProps, SuperDebugEvents, SuperDebugSlots> {
}
export {};
